var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import classNames from 'classnames';
import Icon from "../icon";
import "./style/text-alert.css";
var prefixCls = 'dmc-text-alert';

var getIcon = function getIcon(status) {
  return status === 'success' ? 'success-outlined' : status === 'warning' || status === 'error' ? 'alert-outlined' : 'info-outlined';
};

var TextAlert = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var _a, _b, _c, _d, _e;

  var type = props.type,
      size = props.size,
      status = props.status,
      noIcon = props.noIcon,
      message = props.message,
      description = props.description,
      className = props.className,
      onClickClose = props.onClickClose,
      restProps = __rest(props, ["type", "size", "status", "noIcon", "message", "description", "className", "onClickClose"]);

  var cls = classNames(prefixCls, (_a = {}, _a[prefixCls + "-" + type] = type, _a), (_b = {}, _b[prefixCls + "-" + size] = size, _b), (_c = {}, _c[prefixCls + "-" + status + "-status"] = status, _c), (_d = {}, _d[prefixCls + "-has-desc"] = description, _d), (_e = {}, _e[prefixCls + "-no-icon"] = noIcon, _e), className);
  return _jsx("div", __assign({}, restProps, {
    ref: ref,
    className: cls
  }, {
    children: _jsxs("div", __assign({
      className: prefixCls + "-message-container"
    }, {
      children: [!noIcon && _jsx(Icon, {
        icon: getIcon(status),
        className: prefixCls + "-icon"
      }, void 0), _jsx("div", __assign({
        className: prefixCls + "-message"
      }, {
        children: message
      }), void 0), !!description && _jsx("div", __assign({
        className: prefixCls + "-desc"
      }, {
        children: description
      }), void 0), _jsx(Icon, {
        icon: 'close',
        className: prefixCls + "-close",
        onClick: onClickClose
      }, void 0)]
    }), void 0)
  }), void 0);
});
TextAlert.displayName = 'TextAlert';
export default TextAlert;
var TextAlertMemo = /*#__PURE__*/React.memo(TextAlert);
TextAlertMemo.displayName = 'TextAlertMemo';
export { TextAlertMemo };

